<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Application Module Model
 *
 * This module must remain in applications/ as it is used very early in the
 * OSB initialisation.
 *
 * @package    OSB
 * @subpackage Modules
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Module extends ORMOSB {
	// Relationships
	protected $_has_many = array(
		'module_method'=>array('far_key'=>'id'),
	);
	protected $_has_one = array(
		'record_id'=>array('far_key'=>'id'),
	);

	protected $_sorting = array(
		'status'=>'DESC',
		'name'=>'ASC',
	);

	protected $_display_filters = array(
		'name'=>array(
			array('strtoupper',array(':value')),
		),
		'status'=>array(
			array('StaticList_YesNo::display',array(':value')),
		),
	);
}
?>
